Skip to content

Validate a definition before creating a workflow

POST /automation/validate

Requires `automation:create`. Always 200.

Request Body

definition

Response Body

issuesobject[]
codestring

Stable id of the rule that raised it (bp_... for a best-practice warning).

fieldstring
fixstring

One plain sentence on how to clear it.

messagestring
severitystring
Possible values:
errorwarning
stepstring,null
tierstring,null
curl -X POST 'https://api.elaichi.ai/automation/validate' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
const body = {};

const response = await fetch('https://api.elaichi.ai/automation/validate', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/automation/validate"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {}

response = requests.post(url, headers=headers, json=payload)
print(response.json())